Page MenuHomePhabricator

Create a namespace checkbox for "General Help"
Closed, ResolvedPublic5 Story Points

Description

Motivation
User testimony and analysis of search data have identified a user need of looking for basic help by searching the Project and Help namespaces (it is also the most commonly searched combination excluding searches involving the article namespace).

Task
Create a check box named "General Help" that adds (or removes) the namespaces for Project + Help to the list of namespaces being searched.


Acceptance Criteria

  • when all namespaces associated with the button are included, the checkbox is checked.
    • if you click the checkbox in this state, all namespaces associated with this checkbox are removed, the checkbox becomes unchecked
  • when some or none (but not all) of the associated namespaces are currently included the checkbox is unchecked
    • if you click the checkbox in this state, all namespaces not currently included in the search are included, the checkbox becomes checked.
  • if the "all" checkbox is selected, this checkbox is also selected (since all namespaces are included)

Notes:

  • Maybe it makes sense to put the config in the local php settings

Details

Related Gerrit Patches:
mediawiki/extensions/AdvancedSearch : masterMake the namespace presets configurable
mediawiki/extensions/AdvancedSearch : masterAdd General Help & Discussion checkboxes to presets

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2017, 3:58 PM
Pablo-WMDE set the point value for this task to 5.Nov 1 2017, 1:05 PM
Lea_WMDE updated the task description. (Show Details)Feb 7 2018, 11:37 AM
Lea_WMDE updated the task description. (Show Details)Feb 7 2018, 11:49 AM
Lea_WMDE moved this task from Text stuff to Tickets ready for pickup on the Advanced-Search board.
Lea_WMDE updated the task description. (Show Details)Feb 14 2018, 2:50 PM

Hey @Charlie_WMDE, are there any specific requirements for the position or space between the checkboxes?
In the picture provided in this ticket there is quite some space between the different presets but in reality they look like this:

Change 412751 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/AdvancedSearch@master] [In progress] Add Genreal Help checkbox to presets

https://gerrit.wikimedia.org/r/412751

@Tonina_Zhelyazkova_WMDE sorry for the late reply. your screenshot looks great. the mocks i provided are not in the OOUI style but are just to convey the general idea so what you did is perfect! Thanks.

@Tonina_Zhelyazkova_WMDE One more thing, sorry for the late intervention, could the "all" checkbox be on the right?

I would go with:

Discussion
General help
All

in that order from LTR

@Charlie_WMDE yes, I'll keep that order you described. Thanks for the answer and the input.

@Charlie_WMDE could you update the screenshot so we are in sync everywhere? And "Discussion" or "Discussions"? ;)

@Lea_WMDE That's a good question. I think we never thought about it and just went with what James posted in his comment here T165492#3537972

I would suggest we stick with it (discussion) for now, since I can't see a clear advantage of one naming over the other.

I will change the mock accordingly.

Charlie_WMDE updated the task description. (Show Details)Feb 22 2018, 4:54 PM

Change 412751 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Add General Help & Discussion checkboxes to presets

https://gerrit.wikimedia.org/r/412751

Change 415276 had a related patch set uploaded (by Gabriel Birke; owner: Gabriel Birke):
[mediawiki/extensions/AdvancedSearch@master] Make the namespace presets configurable

https://gerrit.wikimedia.org/r/415276

Change 415276 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Make the namespace presets configurable

https://gerrit.wikimedia.org/r/415276

Change 415337 had a related patch set uploaded (by Gabriel Birke; owner: Gabriel Birke):
[mediawiki/extensions/AdvancedSearch@master] [WIP] Create a shared namespace repo

https://gerrit.wikimedia.org/r/415337

Lea_WMDE closed this task as Resolved.Mar 23 2018, 12:19 PM